FX22 & Seamonkey 2.19 Rated 3 out of 5 stars

Please Support FX22 & Seamonkey 2.19.
Thank you.

This review is for a previous version of the add-on (0.5.0.0). 

FX22 & Seamonkey 2.19

Seamonkey is now supported at 0.5.0.2.
Current Firefox versions are supported too.